Mailinglist Archive: yast-devel (116 mails)

< Previous Next >
Re: [yast-devel] DnsServerAPI.pm
  • From: Duncan Mac-Vicar Prett <dmacvicar@xxxxxxx>
  • Date: Tue, 10 Jun 2008 13:50:36 +0200
  • Message-id: <484E6A8C.3070907@xxxxxxx>
Lukas Ocilka wrote:
The current DneServerAPI module works without yast2-dns-server being installed. First time it is used, it reports (into log) that the package is not installed and that the dns-related functions will not work.

It's the similar to the module SLPAPI.pm

It also only provides the API layer, nothing more.

L.


I know.

My question, is, why a package wanting to use that module, should end depending in libzypp and a ton of other packages.

Those reusable modules should be in their own package with their related APIs.

Duncan
--
To unsubscribe, e-mail: yast-devel+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: yast-devel+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups